Bug 150533 - New tool for correction of backlighting.
Summary: New tool for correction of backlighting.
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Plugin-Editor-LocalContrast (show other bugs)
Version: 0.9.3
Platform: unspecified Other
: NOR wishlist with 26 votes (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-10-06 12:22 UTC by Math
Modified: 2022-01-12 21:17 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 1.1.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Math 2007-10-06 12:22:03 UTC
Version:            (using KDE KDE 3.5.7)
Installed from:    Unlisted Binary Package
OS:                Other

A frequent defect in beginners photos is exposure problems such as backlighting. Photos can be corrected by hand but it implies using luminance curves, layers and it's something difficult for beginners. That's why it would be really nice if Digikam could provide a digikamImagePlugin (automatic or with few parameters) for Backlight correction.

A paper describing such automatic algorithm exists and provides interesting results:
http://www.graphicon.ru/2006/proceedings/papers/fe13_24_Safonov.doc

For examples, see Nikon D-Lighting:
http://www.nikondigitutor.com/eng/5900/07/a/07_a_03.shtml

or Photoshop plugin Shadow/Highlight:
http://www.digitalproducer.com/2003/10_oct/tutorials/10_27/pscsshadow031028.htm

Thanks.
Comment 1 Arnd Baecker 2007-10-06 14:00:27 UTC
Hmm, concerning the D-lighting example, I think that the sky should not
have been affected (i.e. it got too bright ...;-).

Also see the wish "Contrast mask image plugin"
http://bugs.kde.org/show_bug.cgi?id=145442
Comment 2 caulier.gilles 2010-01-25 14:38:44 UTC
Duloup,

Do you have tried Local Contrast plugin introduced with digiKam 1.0.0. It's fine for you ?

Gilles Caulier
Comment 3 Math 2010-01-25 18:15:04 UTC
I have just tested it and it's great.
I change the status to RESOLVED.

Thanks